Bug 7516 - Build: 'NoneType' object has no attribute 'parent'
Build: 'NoneType' object has no attribute 'parent'
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
x86 Linux
: P3 major
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 04:48 UTC by Mohammad Nazeem Durgahee
Modified: 2010-09-12 04:48 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad Nazeem Durgahee 2010-06-16 04:48:42 UTC
Samba4 alpha 12 latest make filed with error message Build failed: 'NoneType' object has no attribute 'parent'
make: *** [all] Error 1
Anybody have a clue what it is or came across it.
Comment 1 Jelmer Vernooij 2010-06-16 05:38:29 UTC
You need to create pidl/blib/{man1,man3}. These files are present in git but are removed by "make clean".

We should get the waf scripts to create these directories as part of the build process.
Comment 2 Jelmer Vernooij 2010-06-16 05:38:57 UTC
This is not alpha12 fwiw, it hasn't been released.
Comment 3 Matthias Dieter Wallnöfer 2010-07-03 04:50:47 UTC
Reassigning to "tridge" since this is WAF-related and CCing "jelmer".
Comment 4 Matthias Dieter Wallnöfer 2010-09-12 04:48:32 UTC
"make clean" doesn't remove this directories anymore ("man1" and "man3"). And a rebuild afterwards (eg "make -j" works fine).
Therefore this should have been fixed now.